import json


def load_settings():
    # Read config
    with open("settings.json", "r+") as settings_file:
        try:
            settings = json.load(settings_file)
        except json.decoder.JSONDecodeError:
            settings = {}
        return settings
settings = load_settings()

def save_settings():
    with open("settings.json", "w+") as settings_file:
        json.dump(settings, settings_file)

def set_setting(name):
    def setter(value):
        settings[name] = value
    return setter
